#
# spec file for package systemtap-dtrace
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%if ! %{defined _rundir}
%define _rundir %{_localstatedir}/run
%endif
Name:           systemtap-dtrace
Version:        4.2
Release:        3.3.1
Summary:        SystemTap dtrace utility
License:        GPL-2.0+
Group:          Development/Tools/Debuggers
Url:            http://sourceware.org/systemtap/
Source0:        http://sourceware.org/systemtap/ftp/releases/systemtap-%{version}.tar.gz
Source1:        http://sourceware.org/systemtap/ftp/releases/systemtap-%{version}.tar.gz.asc
Source2:        systemtap.keyring
Source3:        README-BEFORE-ADDING-PATCHES
Source4:        README-KEYRING
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
SystemTap is an instrumentation system for systems running Linux.
This package contains the dtrace utility to build provider and probe
definitions.

%prep
%setup -q -n systemtap-%{version}

%build
# Our binutils always support '?' in the section characters on all
# architectures, no need for configure tests
sed s=@preferred_python@=%{_bindir}/python3= dtrace.in |sed s=@prefix@=%{_prefix}= >dtrace

%install
mkdir -p %{buildroot}%{_bindir}
install -m 755 dtrace %{buildroot}%{_bindir}

%files
%defattr(-,root,root)
%{_bindir}/dtrace

%changelog
* Fri Dec  6 2019 tonyj@suse.com
- Upgrade to version 4.2. See systemtap.spec for changelog
* Wed Nov  6 2019 tonyj@suse.com
- Upgrade to version 4.1. See systemtap.spec for changelog
* Thu Sep 26 2019 mgorse@suse.com
- Moved the dtrace binary into a separate package to resolve build
  cycle with glib2 (bsc#1145438).
